enum PaymentOptions {
  VISA,
  MASTERCARD,
  MADA,
  INSTALLMENT,
  APPLEPAY
}

extension PaymentOptions_ on PaymentOptions{
  String value(){
    switch(this){
      case PaymentOptions.VISA:
        return "VISA";
        break;

      case PaymentOptions.MASTERCARD:
        return "MASTERCARD";
        break;

      case PaymentOptions.MADA:
        return "MADA";
        break;

      case PaymentOptions.INSTALLMENT:
        return "INSTALLMENT";
        break;
      case PaymentOptions.APPLEPAY:
        return "APPLEPAY";
        break;
    }

    return null;
  }
}
